# Interface QPromise<T>

interface QPromise<T> {
$$intervalId: number;
$$timeoutId: number;
all: ((arg0: QPromise<T>[]) => QPromise<T>);
catch: ((arg0: ((reason: any) => T | PromiseLike<never> | PromiseLike<T>)) => QPromise<T> | T);
finally: ((arg0: (() => void)) => QPromise<T>);
then: ((arg0: any, arg1: any) => QPromise<T>);
}

#### Type Parameters

- T

- Defined in core/q/q.js:38

#####
Index

### Properties

$$intervalId
$$timeoutId
all
catch
finally
then

##
Properties

### $$intervalId

$$intervalId: number

Internal id set by the $interval service for callback notifications

- Defined in core/q/q.js:44

### $$timeoutId

$$timeoutId: number

Timeout id set by the $timeout service for cancelations

- Defined in core/q/q.js:45

### all

all: ((arg0: QPromise<T>[]) => QPromise<T>)

- Defined in core/q/q.js:42

### catch

catch: ((arg0: ((reason: any) => T | PromiseLike<never> | PromiseLike<T>)) => QPromise<T> | T)

Shorthand for promise.then(null, errorCallback).

- Defined in core/q/q.js:40
- Defined in core/q/q.js:41

### finally

finally: ((arg0: (() => void)) => QPromise<T>)

Allows you to observe either the fulfillment or rejection of a promise, but to do so without modifying the final value.

- Defined in core/q/q.js:43

### then

then: ((arg0: any, arg1: any) => QPromise<T>)

Calls one of the success or error callbacks asynchronously as soon as the result is available.

- Defined in core/q/q.js:39